Get Pause Point
Get one pause point of a paused execution, with its resume form and any resume request that is running for it. Requires read access to the workflow.
GET
/api/resume/{workflowId}/{executionId}/{contextId}Authorization
apiKey X-API-Key<token>
Your SteelEngine API key (personal, workspace, or organization). Create personal and workspace keys under Settings > API Keys. Create organization keys under Organization Settings > API Keys.
In: header
Path Parameters
workflowId*string
The unique identifier of the workflow.
executionId*string
The execution that paused.
contextId*string
The pause point to resume, from the pause point or its resumeLinks.
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/resume/string/string/string"{ "execution": { "id": "string", "workflowId": "string", "executionId": "string", "status": "string", "totalPauseCount": 0, "resumedCount": 0, "pausedAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "expiresAt": "2019-08-24T14:15:22Z", "pausePoints": [ { "contextId": "string", "blockId": "string", "response": null, "registeredAt": "2019-08-24T14:15:22Z", "resumeStatus": "paused", "snapshotReady": true, "resumeLinks": { "apiUrl": "string", "uiUrl": "string", "contextId": "string", "executionId": "string", "workflowId": "string" }, "queuePosition": 0, "latestResumeEntry": { "id": "string", "contextId": "string", "newExecutionId": "string", "resumeInput": null, "status": "string", "queuedAt": "2019-08-24T14:15:22Z", "claimedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z", "failureReason": "string", "decidedBy": { "userId": "string", "name": "string", "email": "string", "apiKeyId": "string", "apiKeyName": "string" } } } ], "blockNames": { "property1": "string", "property2": "string" } }, "pausePoint": { "contextId": "string", "blockId": "string", "response": null, "registeredAt": "2019-08-24T14:15:22Z", "resumeStatus": "paused", "snapshotReady": true, "resumeLinks": { "apiUrl": "string", "uiUrl": "string", "contextId": "string", "executionId": "string", "workflowId": "string" }, "queuePosition": 0, "latestResumeEntry": { "id": "string", "contextId": "string", "newExecutionId": "string", "resumeInput": null, "status": "string", "queuedAt": "2019-08-24T14:15:22Z", "claimedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z", "failureReason": "string", "decidedBy": { "userId": "string", "name": "string", "email": "string", "apiKeyId": "string", "apiKeyName": "string" } } }, "activeResumeEntry": { "id": "string", "contextId": "string", "newExecutionId": "string", "resumeInput": null, "status": "string", "queuedAt": "2019-08-24T14:15:22Z", "claimedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z", "failureReason": "string", "decidedBy": { "userId": "string", "name": "string", "email": "string", "apiKeyId": "string", "apiKeyName": "string" } }}